Bug 1070257 (JON3-36) - Extend length of Details field of alert notifications
Summary: Extend length of Details field of alert notifications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JON3-36
Product: JBoss Operations Network
Classification: JBoss
Component: Monitoring - Alerts
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER02
: JON 3.3.0
Assignee: Jirka Kremser
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-26 13:49 UTC by Heiko W. Rupp
Modified: 2018-12-02 16:14 UTC (History)
4 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-11 14:01:38 UTC
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JON3-36 Major Closed Extend length of Details field of alert notifications [PRODMGT-493] 2016-09-19 06:08:14 UTC
JBoss Issue Tracker PRODMGT-493 Major Closed Extend length of Details field of alert notifications 2016-09-19 06:08:14 UTC

Description Heiko W. Rupp 2014-02-26 13:49:48 UTC
The use case includes alerting on event occurrences, specifically those in relation to web services. As such, the event logged often exceeds the existing 250 character limit due to the log message containing the full soap body. Most of the content is filled with classname and namespace details and the actual body/content/fault strings are excluded as they fall after the 250 character limit.

Comment 1 Jirka Kremser 2014-03-18 15:11:18 UTC
I came across this issue when working on BZ 911432

Comment 2 Jirka Kremser 2014-08-01 11:17:09 UTC
opened pull request:
https://github.com/rhq-project/rhq/pull/94

Comment 3 Jay Shaughnessy 2014-08-20 01:30:39 UTC
Manually committed the PR:

Master Commits:

commit 880124918391f97ac7f2c2362310de79f36a5365
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Mon Jul 21 18:33:09 2014 +0200
    [BZ 1070257 + BZ 911432] - Increasing the size of db column RHQ_ALERT_CONDITION_LOG and adding an explicit way to match alert condition on event source
    
    messages from squashed commits:
    * [BZ 1070257 + BZ 911432] - UI for alert definitions of type Event Detection and the ability to match on a source location regular expression.
    * [BZ 1070257 + BZ 911432] - i18n
    * [BZ 1070257 + BZ 911432] - There was a change in public constant in core/domain -> adding it as intentional api change
    * [BZ 1070257 + BZ 911432] - rhq_alert_condition_log.value: VARCHAR2(512) -> VARCHAR2(4000); fixing the situation when one or both regular expressions are empty (getValueAsString() returns 'null' as a string if the form field is blank - http://forums.smartclient.com/showthread.php?t=21516)


commit eb5114f2dcc2ce690c925daef2ceab0e21bb7a45
Author: Jirka Kremser <jkremser@redhat.com>
Date:   Thu Jul 24 13:16:34 2014 +0200
    [BZ 1070257 + BZ 911432] - ensuring the value passed to AlertConditionLog.setValue satisfies the db constraint (for Postgres it is AlertConditionLog.MAX_LOG_LENGTH chars and for Oracle AlertConditionLog.MAX_LOG_LENGTH bytes)


commit c0e7effaca68ffb8afc8690d340f3738ce6b5f8e
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Tue Aug 19 17:06:56 2014 -0400
    [1070257] (JON3-36) Extend length of Details field of alert notifications
    One additional commit to the PR.  Just use DatabaseTypeFactory.getDefaultDatabaseType()
    instead of figuring it out manually.

Comment 4 Jay Shaughnessy 2014-08-20 14:33:36 UTC
release/jon3.3.x commits

commit 55151a79fa16d890401aeb7346d4e8461601e027
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 10:31:35 2014 -0400

    Cherry-pick master c0e7effaca68ffb8afc8690d340f3738ce6b5f8e


commit 10431676f3a027f3b5d93e26489dd4e02f008f65
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 10:30:39 2014 -0400

    Cherry-pick master eb5114f2dcc2ce690c925daef2ceab0e21bb7a45


commit 563aafb2ae77e5602309cf86d30a10374db2fbf6
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Aug 20 10:29:44 2014 -0400

    Cherry-pick of master: 880124918391f97ac7f2c2362310de79f36a5365

Comment 5 Simeon Pinder 2014-09-03 20:31:51 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194

Comment 6 Filip Brychta 2014-09-22 12:00:27 UTC
Verified on
Version :	
3.3.0.ER03
Build Number :	
4aefe39:44e33a4


Following works on both postgres and oracle:
1- event detail is correctly displayed for messages > 250 characters (used ~2000)
2- regular expressions in alert condition (Event Detection) works correctly for messages > 250 characters
3- email notification contains full message

Comment 7 JBoss JIRA Server 2015-10-26 15:30:12 UTC
Larry O'Leary <loleary@redhat.com> updated the status of jira JON3-36 to Closed


Note You need to log in before you can comment on or make changes to this bug.